/* ----------------------------------------- */
/*  Fonts                                    */
/* ----------------------------------------- */

@font-face {
  font-family: 'Orbitron';
  font-weight: 300;
  src: url('fonts/Orbitron-Light.ttf') format('truetype');
}

@font-face {
  font-family: 'Orbitron';
  font-weight: 500;
  src: url('fonts/Orbitron-Medium.ttf') format('truetype');
}

@font-face {
  font-family: 'Orbitron';
  font-weight: 700;
  src: url('fonts/Orbitron-Bold.ttf') format('truetype');
}

@font-face {
  font-family: 'Orbitron';
  font-weight: 900;
  src: url('fonts/Orbitron-Black.ttf') format('truetype');
}

.font-heading-light {
  font-family: 'Orbitron';
  font-kerning: normal;
  font-weight: 300;
}

.font-heading-medium {
  font-family: 'Orbitron';
  font-kerning: normal;
  font-weight: 500;
}

.font-heading-bold {
  font-family: 'Orbitron';
  font-kerning: normal;
  font-weight: 700;
}

.font-heading-black {
  font-family: 'Orbitron';
  font-kerning: normal;
  font-weight: 900;
}

// -------- Body Font -------- //

@font-face {
  font-family: 'Roboto';
  font-weight: 100;
  src: url('fonts/Roboto-Thin.ttf') format('truetype');
}

@font-face {
  font-family: 'Roboto';
  font-weight: 100;
  font-style: italic;
  src: url('fonts/Roboto-ThinItalic.ttf') format('truetype');
}

@font-face {
  font-family: 'Roboto';
  font-weight: 300;
  src: url('fonts/Roboto-Light.ttf') format('truetype');
}

@font-face {
  font-family: 'Roboto';
  font-weight: 300;
  font-style: italic;
  src: url('fonts/Roboto-LightItalic.ttf') format('truetype');
}

@font-face {
  font-family: 'Roboto';
  font-weight: 400;
  src: url('fonts/Roboto-Regular.ttf') format('truetype');
}

@font-face {
  font-family: 'Roboto';
  font-weight: 400;
  font-style: italic;
  src: url('fonts/Roboto-Italic.ttf') format('truetype');
}

@font-face {
  font-family: 'Roboto';
  font-weight: 500;
  src: url('fonts/Roboto-Medium.ttf') format('truetype');
}

@font-face {
  font-family: 'Roboto';
  font-weight: 500;
  font-style: italic;
  src: url('fonts/Roboto-MediumItalic.ttf') format('truetype');
}

@font-face {
  font-family: 'Roboto';
  font-weight: 700;
  src: url('fonts/Roboto-Bold.ttf') format('truetype');
}

@font-face {
  font-family: 'Roboto';
  font-weight: 700;
  font-style: italic;
  src: url('fonts/Roboto-BoldItalic.ttf') format('truetype');
}

@font-face {
  font-family: 'Roboto';
  font-weight: 900;
  src: url('fonts/RobotoBlack.ttf') format('truetype');
}

@font-face {
  font-family: 'Roboto';
  font-weight: 900;
  font-style: italic;
  src: url('fonts/RobotoBlackItalic.ttf') format('truetype');
}

.font-body-thin {
  font-family: 'Roboto';
  font-kerning: normal;
  font-weight: 100;
}

.font-body-light {
  font-family: 'Roboto';
  font-kerning: normal;
  font-weight: 300;
}

.font-body-regular {
  font-family: 'Roboto';
  font-kerning: normal;
  font-stretch: condensed;
  font-weight: 400;
}

.font-body-medium {
  font-family: 'Roboto';
  font-kerning: normal;
  font-weight: 500;
}

.font-body-bold {
  font-family: 'Roboto';
  font-kerning: normal;
  font-weight: 700;
}

.font-body-black {
  font-family: 'Roboto';
  font-kerning: normal;
  font-weight: 900;
}

/* ----------------------------------------- */
/*  Sheet Styles                             */
/* ----------------------------------------- */

@colorFaintFaint: hsl(0, 7%, 90%);
@colorFaint: hsl(60, 7%, 80%);
@colorBeige: hsl(0, 7%, 60%);
@colorTan: hsl(60, 5%, 40%);
@colorOlive: hsl(60, 5%, 30%);
@colorDark: hsl(60, 5%, 20%);
@colorHighlight: hsl(0, 60%, 40%);
@colorCrimson: hsl(0, 50%, 20%);

// @colorFaintFaint: hsl(40, 18%, 88%);
// @colorFaint:      hsl(40, 14%, 78%);
// @colorBeige:      hsl(40, 10%, 68%);
// @colorTan:        hsl(40,  8%, 48%);
// @colorOlive:      hsl(40,  8%, 28%);
// @colorDark:       hsl(40, 14%, 18%);

@borderSolid: 1px solid @colorTan;
@borderGroove: 2px groove hsl(60, 30%, 90%);

@sheetBackground: url("ui/sheet-background.jpg") repeat;
@sidebarBackground: url("ui/dark-metal.webp") repeat;

/* ----------------------------------------- */
/*  Common Settings                          */
/* ----------------------------------------- */

@borderRadius: 4px;

/* ----------------------------------------- */
/*  Flexbox                                  */
/* ----------------------------------------- */

.flexrow {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  justify-content: flex-start;

  >* {
    flex: 1;
  }

  .flex1 {
    flex: 1;
  }

  .flex2 {
    flex: 2;
  }

  .flex3 {
    flex: 3;
  }

  .flex4 {
    flex: 4;
  }

  .flex5 {
    flex: 5;
  }
}

.flexcol {
  display: flex;
  flex-direction: column;
  flex-wrap: nowrap;

  >* {
    flex: 1;
  }

  .flex1 {
    flex: 1;
  }

  .flex2 {
    flex: 2;
  }

  .flex3 {
    flex: 3;
  }

  .flex4 {
    flex: 4;
  }

  .flex5 {
    flex: 5;
  }
}